
## distro/release specific support
%if 0%{?fedora} > 4 || 0%{?rhel} > 4
%define _with_hal --with-hal
%endif

%if 0%{?fedora} > 8
# include -devel subpkg or not? 1=yes
%else
%define devel 1
%endif

Name:    k3b
Summary: CD/DVD burning application for KDE
Epoch:   0
Version: 1.0.5
Release: 3%{?dist}

Group:   Applications/Archiving
License: GPLv2+
URL:     http://www.k3b.org
Source0: http://downloads.sf.net/k3b/k3b-%{version}.tar.bz2
Source1: http://downloads.sf.net/k3b/k3b-i18n-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# TODO: bugzilla/document
ExcludeArch: s390 s390x

Source2: k3brc

Patch1: k3b-i18n-0.12.17-rellink.patch
Patch2: k3b-1.0.3-umount.patch
# http://bugs.kde.org/151816 , k3b can't reload media for verification
Patch3: k3b-1.0.4-kde#151816.patch
Patch4: k3b-1.0.4-manualbufsize.patch
# put k3b-(iso,cue).desktop to xdg_apps_DATA , see http://bugzilla.redhat.com/419681
Patch5: k3b-1.0.5-hidden.patch

BuildRequires: kdelibs3-devel 
BuildRequires: desktop-file-utils
# needed by patch1
BuildRequires: automake libtool
BuildRequires: alsa-lib-devel
BuildRequires: audiofile-devel
%{?_with_hal:BuildRequires: dbus-qt-devel hal-devel}
BuildRequires: flac-devel
BuildRequires: gettext
BuildRequires: libdvdread-devel
BuildRequires: libmpcdec-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: libvorbis-devel
BuildRequires: taglib-devel
BuildRequires: zlib-devel

Obsoletes: k3b-extras < %{epoch}:%{version}-%{release}
Provides:  k3b-extras = %{epoch}:%{version}-%{release} 
# imo, should be packaged separately, tis a shame to duplicate all 
# this noarch build/data on *every* arch.  -- Rex
Obsoletes: %{name}-i18n < %{epoch}:%{version}-%{release}
Provides: %{name}-i18n = %{epoch}:%{version}-%{release}
%if ! 0%{?devel}
Obsoletes: %{name}-devel < %{epoch}:%{version}-%{release}
%endif

Requires(post): /sbin/ldconfig coreutils
Requires(postun): /sbin/ldconfig coreutils
Requires: cdrecord mkisofs
%if 0%{?fedora} > 3
Requires(hint): cdrdao
Requires(hint): dvd+rw-tools
#Requires(hint): gnome-mount
%endif

%description
K3b provides a comfortable user interface to perform most CD/DVD
burning tasks. While the experienced user can take influence in all
steps of the burning process the beginner may find comfort in the
automatic settings and the reasonable k3b defaults which allow a quick
start.

%if 0%{?devel}
# afaik, nobody BR's it, and it pulls k3b into multilib.
# when/if this is ever needed, consider -libs subpkg -- Rex
%package devel
Summary: Files for the development of applications which will use %{name} 
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
%{summary}.
%endif


%prep
%setup -q -a 1 -n %{name}-%{version}

%patch2 -p1 -b .umount
%patch3 -p1 -b .kde#151816
# set in k3brc instead
#patch4 -p1 -b .manualbufsize
%patch5 -p1 -b .hidden

pushd %{name}-i18n-%{version}
%patch1 -p2 -b .lns
make -f admin/Makefile.common
popd


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --includedir=%{_includedir}/k3b \
  --disable-rpath \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final \
  --with-k3bsetup=no \
  --without-cdrecord-suid-root \
  --with-oggvorbis \
  --with-flac \
  --with-external-libsamplerate \
  --with-musicbrainz \
  --with-sndfile \
  --without-ffmpeg --without-lame --without-libmad \
  --with-musepack \
  %{?_with_hal} %{!?_with_hal:--without-hal} 

make %{?_smp_mflags}

# Build for i18n tarball
pushd %{name}-i18n-%{version}
%configure
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install for i18n tarball
pushd %{name}-i18n-%{version}
make install DESTDIR=$RPM_BUILD_ROOT
popd

%{__install} -D -m 644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/config/k3brc

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/*.desktop

# remove the .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/libk3b*.la 

# remove i18n for Plattdeutsch (Low Saxon)
rm -fr $RPM_BUILD_ROOT%{_datadir}/locale/nds

rm -f $RPM_BUILD_ROOT%{_docdir}/HTML/en/k3b/common 
ln -s ../common $RPM_BUILD_ROOT%{_docdir}/HTML/en/k3b/common

pushd $RPM_BUILD_ROOT%{_datadir}/doc/HTML
for i in *; do
	test -d $i && mkdir $i/common 2>/dev/null
done
popd

%find_lang k3b
%find_lang k3bsetup
%find_lang libk3b
%find_lang libk3bdevice

cat k3b.lang k3bsetup.lang libk3b.lang libk3bdevice.lang >> all.lang

# unpackaged files
%if ! 0%{?devel}
rm -rf $RPM_BUILD_ROOT%{_includedir}/k3b/
rm -f  $RPM_BUILD_ROOT%{_libdir}/libk3b*.so
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 ||:


%files -f all.lang
%defattr(-,root,root,755)
%doc AUTHORS README COPYING TODO ChangeLog
%{_bindir}/k3b
%{_datadir}/applications/kde/*.desktop
%{_datadir}/mimelnk/application/x-k3b.desktop
%{_libdir}/libk3b*.so.*

%{_libdir}/kde3/*.so
%{_libdir}/kde3/*.la
%{_datadir}/apps/konqsidebartng/virtual_folders/services/videodvd.desktop
%{_datadir}/services/kfile_k3b.desktop
%{_datadir}/services/videodvd.protocol

%{_datadir}/apps/k3b/
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/config/*
%{_datadir}/sounds/*
%{_datadir}/icons/hicolor/*/*/*

# files from i18n
%lang(da) %{_docdir}/HTML/da/%{name}/*
%lang(de) %{_docdir}/HTML/de/%{name}/*
%lang(en) %{_docdir}/HTML/en/%{name}/*
%lang(es) %{_docdir}/HTML/es/%{name}/*
%lang(et) %{_docdir}/HTML/et/%{name}/*
%lang(fr) %{_docdir}/HTML/fr/%{name}/*
%lang(it) %{_docdir}/HTML/it/%{name}/*
%lang(nl) %{_docdir}/HTML/nl/%{name}/*
%lang(pt) %{_docdir}/HTML/pt/%{name}/*
%lang(pt_BR) %{_docdir}/HTML/pt_BR/%{name}/*
%lang(ru) %{_docdir}/HTML/ru/%{name}/*
%lang(sv) %{_docdir}/HTML/sv/%{name}/*
%lang(uk) %{_docdir}/HTML/uk/%{name}/*
%lang(pl) %{_docdir}/HTML/pl/%{name}/*

%if 0%{?devel}
%files devel
%defattr(-,root,root,-)
%{_includedir}/k3b/
%{_libdir}/libk3b*.so
%endif


%changelog
* Mon Jun 30 2008 Rex Dieter <rdieter@fedoraproject.org> - 0:1.0.5-3
- No association k3b with .iso files in gnome (#419681)
- scriptlet deps
- cleanup doc/HTML

* Sat May 31 2008 Rex Dieter <rdieter@fedoraproject.org> - 0:1.0.5-2
- (re)enable reload patch

* Tue May 27 2008 Rex Dieter <rdieter@fedoraproject.org> - 0:1.0.5-1
- k3b-1.0.5
- k3brc: set manual buffer size here
- omit reload patch (for now), to verify if still needed.

* Wed May  7 2008 Roman Rakus <rrakus@redhat.cz> - 0:1.0.4-9
- Fix doc dir (#238070), patch by Alain PORTAL (aportal@univ-montp2.fr)

* Tue Apr 22 2008 Roman Rakus <rrakus@redhat.cz> - 0:1.0.4-8
- Use manual buffer size by default (#220481)

* Tue Feb 19 2008 Rex Dieter <rdieter@fedoraproject.org> - 0:1.0.4-7
- f9+: Obsoletes: k3b-devel (#429613)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0:1.0.4-6
- Autorebuild for GCC 4.3

* Sat Dec 08 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 0:1.0.4-5
- patch for "k3b can't reload media for verification" (kde#151816)
- BR: kdelibs3-devel

* Wed Nov 21 2007 Adam Tkac <atkac redhat com> - 0:1.0.4-3
- rebuild against new libdvdread

* Mon Nov 05 2007 Rex Dieter <rdieter[AT]fedorproject.org> - 0:1.0.4-2
- k3b-1.0.4
- omit -devel subpkg (f9+), fixes multiarch conflicts (#341651)

* Fri Aug 17 2007 Harald Hoyer <harald@redhat.com> - 0:1.0.3-3
- changed license tag to GPLv2+

* Fri Aug  3 2007 Harald Hoyer <harald@redhat.com> - 0:1.0.3-2
- added gnome-umount options

* Fri Jul 27 2007 Harald Hoyer <harald@redhat.com> - 0:1.0.3-1
- version 1.0.3
- added gnome-umount patch

* Sat Jun 23 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 0:1.0.2-1
- k3b-1.0.2

* Sat Jun 16 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 0:1.0.1-4
- k3b-iso.desktop,k3b-cue.desktop: +NoDisplay=True (#244513)

* Wed Jun 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 0:1.0.1-3
- --without-cdrecord-suid-root

* Wed Jun 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 0:1.0.1-2
- respin (for libmpcdec)

* Wed May 30 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 0:1.0.1-1
- k3b-1.0.1
- include icon/mime scriptlets
- cleanup/simplify BR's
- optimize %%configure
- restore applnk/.hidden bits

* Wed Apr 11 2007 Harald Hoyer <harald@redhat.com> - 0:1.0-1
- version k3b-1.0
- provide/obsolete k3b-extras

* Thu Feb 15 2007 Harald Hoyer <harald@redhat.com> - 0:1.0.0-0.rc6.1
- version k3b-1.0rc6

* Wed Feb  7 2007 Harald Hoyer <harald@redhat.com> - 0:1.0.0-0.rc5.1
- version k3b-1.0rc5

* Wed Jan 17 2007 Harald Hoyer <harald@redhat.com> - 0:1.0.0-0.rc4.1
- version k3b-1.0rc4

* Thu Oct 26 2006 Harald Hoyer <harald@backslash.home> - 0:1.0.0-0.pre2.1
- version 1.0pre2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:0.12.15-3.1.1
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0:0.12.15-3.1
- rebuild

* Mon Jun 12 2006 Harald Hoyer <harald@redhat.com> - 0:0.12.15-3
- fixed symlinks

* Tue May 02 2006 Harald Hoyer <harald@redhat.com> 0:0.12.15-1
- version 0.12.15

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0:0.12.10-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0:0.12.10-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 24 2006 Harald Hoyer <harald@redhat.com> 0:0.12.10-2
- removed .la files (#172638)

* Tue Dec 20 2005 Harald Hoyer <harald@redhat.com> 0:0.12.10-1
- version 0.12.10

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Dec 06 2005 Harald Hoyer <harald@redhat.com> 0:0.12.8-1
- version 0.12.8

* Wed Sep 21 2005 Harald Hoyer <harald@redhat.com> 0:0.12.4-0.a.1
- version 0.12.4a

* Thu Jul 14 2005 Harald Hoyer <harald@redhat.com> 0:0.12.2-1
- version 0.12.2
- ported some patches

* Wed Jul 11 2005 Harald Hoyer <harald@redhat.com> 0:0.11.23-2
- added "dvd+rw-tools cdrdao" to Requires

* Thu Apr  7 2005 Petr Rockai <prockai@redhat.com> - 0:0.11.23-3
- fix statfs usage (as per issue 65935 from IT)

* Wed Mar 30 2005 Harald Hoyer <harald@redhat.com> 0:0.11.23-1
- update to 0.11.23

* Fri Mar 25 2005 David Hill <djh[at]ii.net> 0:0.11.22-1
- update to 0.11.22

* Tue Mar 08 2005 Than Ngo <than@redhat.com> 0:0.11.17-2
- rebuilt against gcc-4

* Tue Oct 05 2004 Harald Hoyer <harald@redhat.com> 0:0.11.17-1
- version 0.11.17
- revert the dao -> tao change
- add the suid feature to every app automatically

* Tue Oct 05 2004 Harald Hoyer <harald@redhat.com> 0:0.11.14-2
- fixed version string parsing, which fixes bug 134642

* Wed Sep 01 2004 Harald Hoyer <harald@redhat.com> 0:0.11.14-1
- added k3b-0.11.14-rdrw.patch for kernel >= 2.6.8
- update to 0.11.14

* Fri Jun 25 2004 Bill Nottingham <notting@redhat.com> 0:0.11.12-2
- update to 0.11.12

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 0:0.11.11-1
- update to 0.11.11
- add prereq:/sbin/ldconfig

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 31 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.10-1
- remove unnecesary [ -z "$QTDIR" ] check
- Update to 0.11.10 upstream 
- remove qt-devel BuildRequires, implied with kde-devel
- remove ldconfig Requires, implied
- remove i18n docbook patch, fixed upstream.

* Fri May 28 2004 Bill Nottingham <notting@redhat.com> - 0.11.9-5
- fix burning on SCSI CD-ROMS (#122096)

* Thu May 13 2004 Than Ngo <than@redhat.com> 0.11.9-4
- get rid of rpath

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> - 0.11.9-3
- nuke k3bsetup
- use %%find_lang

* Thu Apr 15 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.9-2
- Clean up i18n build to make improve maintainability

* Wed Apr 7 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.9-1
- Update to 0.11.9 upstream
- Spec Cleanup for Fedora Core 2

* Wed Mar 18 2004 Justin M. Forbes <64bit_fedora@comcast.net> - 0.11.6-1
- Initial packaging of 0.11.6 for Fedora Core 2
- remove mp3 plugin build options
- add i18n package
- clean up for kde 3.2/FC2 target


